Bug 751421 - Import child Resource: if there are two types with the same names (e.g. the as4 and as5 JBoss AS Server types), one of them is not included in the select-type menu
Import child Resource: if there are two types with the same names (e.g. the a...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.0.0
All All
unspecified Severity high
: DR09
: JON 3.2.0
Assigned To: Jay Shaughnessy
Mike Foley
: Reopened
Depends On:
Blocks: jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-11-04 13:05 EDT by Ian Springer
Modified: 2014-01-02 15:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
import AS Server Type (227.64 KB, image/png)
2013-08-21 08:20 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Ian Springer 2011-11-04 13:05:37 EDT
This can make it impossible for the user to manually add/import e.g. an EAP 5.x instance into inventory.
Comment 1 Ian Springer 2011-11-04 13:34:02 EDT
Note, this is an issue in both entry points to the Import Child Resource wizard:

1) the Import item on the context menu when you right-click a platform Resource in the Resource tree

and 

2) the Import button at the bottom of the Inventory > Child Resources subtab's content pane for a platform Resource
Comment 2 Ian Springer 2011-11-07 15:20:54 EST
[master d3802b6] (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=d3802b6) fixes this for both Manual Import type selection menus, as well as the Create-New-Child type selection menu on the Resource tree.
Comment 3 Ian Springer 2011-11-07 15:23:19 EST
8982cfc cherry-picks the fix into the release_jon3.x branch.
Comment 4 Venkat 2011-11-29 08:57:41 EST
Ian, could you please provide steps to verify this bug...
Comment 5 Sunil Kondkar 2011-12-16 02:34:04 EST
Verified on master build#836 (Version: 4.3.0-SNAPSHOT Build Number: 3300dff)

Verified that the selection menu displays both the JBossAs server types as below:
JBossAS Server (JBossAS Plugin)
JBossAS Server (JBossAS5 Plugin)

Verified in the Import item on the right click context menu of platform Resource
in the Resource tree and in the content pane of the Import button at the bottom of the Inventory > Child Resources subtab for a platform Resource.
Comment 6 Mike Foley 2012-02-07 14:17:27 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 7 Ian Springer 2012-03-16 10:18:15 EDT
Based on Mazz's comment in https://bugzilla.redhat.com/show_bug.cgi?id=803870, parts of this fix may have gotten lost in the 3.x branch. Reopening to investigate...
Comment 8 Jay Shaughnessy 2013-06-03 16:15:11 EDT
This has been fixed for a while and should already be in any 3.2 build.
Comment 10 Armine Hovsepyan 2013-08-21 08:18:15 EDT
as server types are visible in drop down menu -> please see screenshot attached

actual import doesn't work - bug#999494
Comment 11 Armine Hovsepyan 2013-08-21 08:20:16 EDT
Created attachment 788838 [details]
import AS Server Type

Note You need to log in before you can comment on or make changes to this bug.